package com.goldenwater.slaj.hidd.service;

import java.util.List;
import com.goldenwater.slaj.hidd.domain.BisHiddRecRep;

/**
 * 隐患记录上报 服务层
 */
public interface IBisHiddRecRepService {

    /**
     * 查询隐患记录上报信息
     * @param guid 查询条件
     * @return 隐患记录上报信息
     */
    BisHiddRecRep selectBisHiddRecRepByGuid(String guid);

    /**
     * 查询隐患记录上报列表
     * @param bisHiddRecRep 隐患记录上报查询条件
     * @return 隐患记录上报集合
     */
    List<BisHiddRecRep> selectBisHiddRecRepList(BisHiddRecRep bisHiddRecRep);

    /**
     * 新增隐患记录上报
     * @param bisHiddRecRep 隐患记录上报信息
     * @return 影响行数
     */
    int insertBisHiddRecRep(BisHiddRecRep bisHiddRecRep);

    /**
     * 修改隐患记录上报
     * @param bisHiddRecRep 隐患记录上报信息
     * @return 影响行数
     */
    int updateBisHiddRecRep(BisHiddRecRep bisHiddRecRep);

    /**
     * 删除隐患记录上报
     * @param guid 隐患记录上报主键
     * @return 影响行数
     */
    int deleteBisHiddRecRepByGuid(String guid);

    /**
     * 批量删除隐患记录上报
     * @param guids 隐患记录上报主键数组
     * @return 影响行数
     */
    int deleteBisHiddRecRepByGuids(String[] guids);
}
